/* GOTO.H & CORES.H resumido (BEEEEEMMM resumido! ehehe) */
/* by Int20h/cr */

void goxy(int x, int y)  {
#ifndef linux
//  gotoxy(x,y);
#else
  printf("[%i;%iH",x,y);
#endif
}

void cls(void)             {
#ifndef linux
//  clrscr();
#else
  printf("[H[J");
#endif
}

/* 
void ntex(void)            { printf("[0m"); }
void pisca(void)           { printf("[5m"); }

void textcor(int cnum)   {
#ifndef linux
  textcolor(cnum);
#else
int pisc={0};
 if (cnum>=128) {pisc=1; cnum=cnum-128;}
 if (cnum>=8) {printf("[1;"); cnum=cnum-8;} else {printf("[0;");}
 if (pisc==1) {printf("5;");}
   switch(cnum) {
     case 0 : printf("30m"); break;
     case 1 : printf("34m"); break;
     case 2 : printf("32m"); break;
     case 3 : printf("36m"); break;
     case 4 : printf("31m"); break;
     case 5 : printf("35m"); break;
     case 6 : printf("33m"); break;
     case 7 : printf("37m"); break;
     default: printf("37m"); break;
     }
#endif
 }
void background (int bnum) {
#ifndef linux
 textbackground(bnum);
#else
printf("[");
   switch(cnum) {
     case 0 : printf("40m"); break;
     case 1 : printf("44m"); break;
     case 2 : printf("42m"); break;
     case 3 : printf("46m"); break;
     case 4 : printf("41m"); break;
     case 5 : printf("45m"); break;
     case 6 : printf("43m"); break;
     case 7 : printf("47m"); break;
     default: printf("40m"); break;
     }
#endif
 }
*/
